Arch Pipe/fr: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Created page with "Arch_pipe_example_02")
Line 27: Line 27:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]


[[Image:Arch_pipe_example_02.jpg]]
[[Image:Arch_pipe_example_02.jpg|Arch_pipe_example_02]]


* With the new "Snap Special" Draft Snap, you can now snap to these custom points:
* With the new "Snap Special" Draft Snap, you can now snap to these custom points:

Revision as of 09:33, 25 August 2016

Arch Tube

Emplacement du menu
Arch → Pipe Tools -> Pipe
Ateliers
Arch
Raccourci par défaut
P I
Introduit dans la version
-
Voir aussi
Arch Tube Connexion

Description

Cet outil vous permet de créer un tube à partir de zéro ou à partir d'objets basés sur (Draft, Sketch, etc..) sélectionnés et contenant un fil et un seul fil ouvert,

Utilisation

  1. Optionnellement, sélectionnez une ligne Part, un Draft Line, Draft Wire ou une Esquisse ouverte.
  2. Cliquez sur le bouton Arch Tube

Propriétés

  • DonnéesLength: Donne une longueur au tube, s'il n'est pas basé sur un fil (wire).
  • DonnéesDiameter: Le diamètre du tube, s'il n'est pas basé sur un profil
  • DonnéesBase: Le fil est basé seulement sur le tube
  • DonnéesProfile: Le tube est basé sur le profil. S'il n'y a pas de profil, le tube est cylindrique.

Travail typique

  • Commencez le placement des sanitaires hydrauliques (le fichier exemple ci dessous est un fichier step importé). Sélectionnez l'objet et activez l'Arch Equipments en cliquant sur le bouton Arch Equipment .

Arch_pipe_example_01

  • Dans Arch Equipments vous avez maintenant une nouvelle propriété, qui est une liste de vecteurs 3D. Vous pouvez maintenant ajouter des points aux dimensions voulues, ces coordonnées pourront servir de points d'accrochage si le nouveau bouton Draft Special est activé. Cependant cette propriété n'est seulement disponible qu'en créant un code Python. Dans l'exemple ci dessus, un nouveau point d'accrochage a été ajouté à la sortie du WC. Les vecteurs des points d'accrochage sur le modèle apparaissent comme des points blancs.
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch_pipe_example_02

  • With the new "Snap Special" Draft Snap, you can now snap to these custom points:

  • Now we can draw our piping using Draft Lines, Draft Wires, or Sketches. The best way, though, is using only Draft Lines:

  • There is now a new Draft Slope tool that allows to change the slope of Draft lines, to, for example, 5% (0.05). So we can quickly give our waste lines a correct slope. Only z coordinates are change by this tool, so we only need to snap them back to each other, the top projection will stay unchanged.

  • We now only have to select all our lines, and press the Arch Pipe button. Arch Pipe works with any Part-based object that contains one and only one open wire.

  • We can now create connections by selecting 2 or 3 coincident tubes, and press the Arch PipeConnector button. If 3 pipes are selected, two of them must be aligned in order to create a tee element:

  • Changing the connectors radius doesn't change the length of the underlying base line, only the resulting tube (by changing their OffsetStart or OffsetEnd property). So you can still draw your line layout with only straight lines, without the need to care about curves and radius.

It is also possible to create Arch Pipes without a base line, in this case use its "Length" property to define the length.

Scripting

The Pipe tool can by used in macros and from the python console by using the following function:

import Arch
Arch.makePipe ( [objectsList,diameter] )